| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalSequenceType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalSequenceType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalSequenceType ()
| Default constructor.
eProsima_user_DllExport | ~MinimalSequenceType ()
| Default destructor.
eProsima_user_DllExport | MinimalSequenceType (const MinimalSequenceType &x)
| Copy constructor.
eProsima_user_DllExport | MinimalSequenceType (MinimalSequenceType &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalSequenceType & | operator= (const MinimalSequenceType &x)
| Copy assignment.
eProsima_user_DllExport MinimalSequenceType & | operator= (MinimalSequenceType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalSequenceType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalSequenceType &x) const
| Comparison operator.
eProsima_user_DllExport void | collection_flag (const CollectionTypeFlag &_collection_flag)
| This function copies the value in member collection_flag.
eProsima_user_DllExport void | collection_flag (CollectionTypeFlag &&_collection_flag)
| This function moves the value in member collection_flag.
eProsima_user_DllExport const CollectionTypeFlag & | collection_flag () const
| This function returns a constant reference to member collection_flag.
eProsima_user_DllExport CollectionTypeFlag & | collection_flag ()
| This function returns a reference to member collection_flag.
eProsima_user_DllExport void | header (const MinimalCollectionHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (MinimalCollectionHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const MinimalCollectionHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport MinimalCollectionHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | element (const MinimalCollectionElement &_element)
| This function copies the value in member element.
eProsima_user_DllExport void | element (MinimalCollectionElement &&_element)
| This function moves the value in member element.
eProsima_user_DllExport const MinimalCollectionElement & | element () const
| This function returns a constant reference to member element.
eProsima_user_DllExport MinimalCollectionElement & | element ()
| This function returns a reference to member element.

## Detailed Description

This class represents the structure MinimalSequenceType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalSequenceType() [1/3]

eProsima_user_DllExport MinimalSequenceType | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalSequenceType()

eProsima_user_DllExport ~MinimalSequenceType | ( |  | ) |

inline

Default destructor.

## ◆ MinimalSequenceType() [2/3]

eProsima_user_DllExport MinimalSequenceType | ( | const MinimalSequenceType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalSequenceType that will be copied.

## ◆ MinimalSequenceType() [3/3]

eProsima_user_DllExport MinimalSequenceType | ( | MinimalSequenceType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalSequenceType that will be copied.

## Member Function Documentation

## ◆ collection_flag() [1/4]

eProsima_user_DllExport CollectionTypeFlag & collection_flag | ( |  | ) |

inline

This function returns a reference to member collection_flag.

Returns
  Reference to member collection_flag

## ◆ collection_flag() [2/4]

eProsima_user_DllExport const CollectionTypeFlag & collection_flag | ( |  | ) | const

inline

This function returns a constant reference to member collection_flag.

Returns
  Constant reference to member collection_flag

## ◆ collection_flag() [3/4]

eProsima_user_DllExport void collection_flag | ( | CollectionTypeFlag && | _collection_flag | ) |

inline

This function moves the value in member collection_flag.

Parameters

  _collection_flag | New value to be moved in member collection_flag

## ◆ collection_flag() [4/4]

eProsima_user_DllExport void collection_flag | ( | const CollectionTypeFlag & | _collection_flag | ) |

inline

This function copies the value in member collection_flag.

Parameters

  _collection_flag | New value to be copied in member collection_flag

## ◆ element() [1/4]

eProsima_user_DllExport MinimalCollectionElement & element | ( |  | ) |

inline

This function returns a reference to member element.

Returns
  Reference to member element

## ◆ element() [2/4]

eProsima_user_DllExport const MinimalCollectionElement & element | ( |  | ) | const

inline

This function returns a constant reference to member element.

Returns
  Constant reference to member element

## ◆ element() [3/4]

eProsima_user_DllExport void element | ( | const MinimalCollectionElement & | _element | ) |

inline

This function copies the value in member element.

Parameters

  _element | New value to be copied in member element

## ◆ element() [4/4]

eProsima_user_DllExport void element | ( | MinimalCollectionElement && | _element | ) |

inline

This function moves the value in member element.

Parameters

  _element | New value to be moved in member element

## ◆ header() [1/4]

eProsima_user_DllExport MinimalCollectionHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const MinimalCollectionHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | const MinimalCollectionHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | MinimalCollectionHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalSequenceType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalSequenceType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalSequenceType & operator= | ( | const MinimalSequenceType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalSequenceType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalSequenceType & operator= | ( | MinimalSequenceType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalSequenceType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalSequenceType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalSequenceType object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp